Package com.sun.jna.platform.mac

# Class CoreFoundation.CFDictionaryRef.ByReference

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.ptr.ByReference
com.sun.jna.ptr.PointerByReference
com.sun.jna.platform.mac.CoreFoundation.CFDictionaryRef.ByReference

All Implemented Interfaces:
  `NativeMapped`

Enclosing class:
  CoreFoundation.CFDictionaryRef

public static class CoreFoundation.CFDictionaryRef.ByReference extends PointerByReference
Placeholder for a reference to a `CFDictionary` object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ByReference()`
  `ByReference(CoreFoundation.CFDictionaryRef value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CoreFoundation.CFDictionaryRef`
  `getDictionaryRefValue()`
  `void`
  `setValue(Pointer value)`

  ### Methods inherited from class com.sun.jna.ptr.PointerByReference

  `getValue`

  ### Methods inherited from class com.sun.jna.ptr.ByReference

  `toString`

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ByReference

    public ByReference()

  - ### ByReference

    public ByReference(CoreFoundation.CFDictionaryRef value)

- ## Method Details

  - ### setValue

    public void setValue(Pointer value)
    Overrides:
      `setValue` in class `PointerByReference`

  - ### getDictionaryRefValue

    public CoreFoundation.CFDictionaryRef getDictionaryRefValue()